python-djvulibre (0.9.1-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:37:07 +0000

python-djvulibre (0.9.1-2) unstable; urgency=medium

  * Team upload.
  * Fix PageJobTestCase.test_decode on big-endian systems (closes:
    #1103593).
  * Build-depend on ghostscript for DocumentsTestCase.test_export_ps.

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Apr 2025 00:45:29 +0100

python-djvulibre (0.9.1-1) unstable; urgency=medium

  * Team upload.
  * d/rules: Simplify test setup slightly.
  * Switch to autopkgtest-pkg-pybuild.
  * Simplify documentation building, avoiding the need for a patch.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 25 Mar 2025 19:27:18 +0000

python-djvulibre (0.9.0-7) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools (closes: #1100265).

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Mar 2025 10:29:58 +0000

python-djvulibre (0.9.0-6) unstable; urgency=medium

  * Team upload.

  [Alexandre Detiste]
  * Switch autopkgtest to pytest.

  [Yogeswaran Umasankar]
  * d/rules and d/tests/python3-djvu: fix autopkgtest for pytest.
  * d/control: bumped Standards-Version to 4.7.0.
  * d/patches/001-fix-for-doc-conf.patch: forward not-needed.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 18 Sep 2024 22:35:51 +0000

python-djvulibre (0.9.0-5) unstable; urgency=medium

  * Adopt package inside DPT (Closes: #945190)
  * Switch to pybuild-plugin-pyproject (Closes: #1080923)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 11 Sep 2024 12:34:11 +0200

python-djvulibre (0.9.0-4) unstable; urgency=medium

  * QA upload.
  * Replace python3-nose by python3-pytest (Closes: #1018481)
  * Drop python3-distutils dependency (Closes: #1065925)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 26 May 2024 00:26:53 +0200

python-djvulibre (0.9.0-3) unstable; urgency=medium

  * QA upload.

  [ Yogeswaran Umasankar ]
  * Fix for s390x build failure, revised override_dh_auto_test in rules.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 19 Feb 2024 19:58:28 +0100

python-djvulibre (0.9.0-2) unstable; urgency=medium

  * QA upload.

  [ Yogeswaran Umasankar ]
  * Disabled test_decode and test_export_ps in s390x.
  * Disabled test_export_ps.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 31 Jan 2024 20:30:00 +0000

python-djvulibre (0.9.0-1) unstable; urgency=medium

  * QA upload.

  [ Alexandre Detiste ]
  * New upstream version 0.9.0 (Closes: #1056854, #1042661, #1056468)
  * switch to fork found via repology.com
  * update copyright & homepage

  [ Yogeswaran Umasankar ]
  * Fixed override_dh_installdocs in rules to fit new upstream.
  * Included python3-wheel in d/control build depends.
  * Patch to fix doc conf.py setup module issue.
  * Included __init__.py in tests/ for autopkgtests + disabled test_export_ps.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Jan 2024 12:51:58 +0100

python-djvulibre (0.8.8-3) unstable; urgency=medium

  * QA upload.
  * Don't strip CFLAGS, the Python bug that was worked around was fixed in 2019.
    Makes the package reproducible, thanks Vagrant Cascadian! (Closes: #1021471)

 -- Philip Rinn <rinni@debian.org>  Fri, 11 Nov 2022 19:35:27 +0100

python-djvulibre (0.8.8-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Drop transition for old debug package migration.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 14:03:05 +0100

python-djvulibre (0.8.8-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 30 Sep 2022 13:55:56 -0400

python-djvulibre (0.8.7-1) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Update Vcs-* fields with new Debian Python Team layout.
    + Bump debhelper compat to v13
    +  Bump Standards-Version to 4.6.0.
  * New upstream version 0.8.7.
  * debian/patches: Dropped, not needed.
  * debian/control: Drop old -dbg package. (Closes: #994350)
  * debian/tests/: Use py3versions -s instead of -i (lintian).

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Sep 2021 20:20:21 -0400

python-djvulibre (0.8.4-3) unstable; urgency=medium

  * QA upload.
  * Drop python2 support; Closes: #937710

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Nov 2019 19:41:11 -0500

python-djvulibre (0.8.4-2) unstable; urgency=medium

  * Orphaning package.
  * Bump Standards-Version to 4.4.1 [Ondřej Nový].

 -- Daniel Stender <stender@debian.org>  Thu, 21 Nov 2019 00:14:36 +0100

python-djvulibre (0.8.4-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + bump standards version to 4.4.0 (no changes needed).
  * deb/copyright:
    + expand copyright spans.
  * add subprocess32 to b-deps and deb/tests/control.
  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Daniel Stender <stender@debian.org>  Tue, 17 Sep 2019 13:34:12 +0200

python-djvulibre (0.8.2-2) unstable; urgency=medium

  * deb/rules:
    + don't put dh_installdocs into check for if nodoc build option is set.
  * deb/source/options:
    + drop egg-info folder from extend-diff-ignore (obsolete).

 -- Daniel Stender <stender@debian.org>  Wed, 19 Dec 2018 14:44:06 +0100

python-djvulibre (0.8.2-1) unstable; urgency=medium

  * New upstream release:
    + deb/tests/python{,3}-djvu: also cp doc/ to tmpdir for version tests.
  * deb/control:
    + bump standards to 4.2.1 (no further changes needed).
  * deb/rules:
    + build with DH_VERBOSE=1 (according to standards 4.2.0).
    + drop unnecessary export line for DEB_BUILD_OPTIONS.
    + for exported DEB_BUILD_MAINT_OPTIONS, switch to hardening=+all.
    + don't build sphinx docs if nodoc is set in DEB_BUILD_OPTIONS.
    + update a file path within override for dh_installdocs.
  * build with debhelper level 11 (changes in deb/compat and deb/control).
  * build with python3-sphinx:
    + deb/control: change sphinx package name in b-deps.
    + deb/rules: build in-place ext with python3 in dh_installdocs override.
    + deb/rules: run setup.py build-sphinx with python3.
  * install build profile items:
    + deb/control: add <!nocheck> and <!nodoc> switches to b-deps and docs
      package.
    + deb/rules: install check for nodoc in DEB_BUILD_PROFILES and run dh
      with sphinxdoc extension accordingly.

 -- Daniel Stender <stender@debian.org>  Wed, 31 Oct 2018 23:18:21 +0100

python-djvulibre (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * deb/copyright:
    + expand copyright span.
  * deb/rules:
    + remove trailing empty line.

  [  Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

 -- Daniel Stender <stender@debian.org>  Sat, 07 Jul 2018 22:38:40 +0200

python-djvulibre (0.8-4) unstable; urgency=medium

  * add python3-distutils to b-ds in deb/control and deps in
    deb/tests/control (needed separately since Python python3.6/3.6.5~rc1-2).

 -- Daniel Stender <stender@debian.org>  Thu, 22 Mar 2018 17:36:39 +0100

python-djvulibre (0.8-3) unstable; urgency=medium

  * deb/control: bump standards to 4.1.3 (no further changes needed).
  * deb/copyright: expand copyright span to 2018.
  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol

 -- Daniel Stender <stender@debian.org>  Mon, 19 Feb 2018 12:15:25 +0100

python-djvulibre (0.8-2) unstable; urgency=medium

  * drop git-dpm regime (drop deb/.git-dpm, add deb/gbp.conf).
  * use debhelper level 10 (changes in deb/compat and deb/control).
  * deb/copyright:
    + use https in Format field.
    + expand copyright span.
  * deb/control:
    + bump deps for docs-package to Recommends.
    + bump standards version to 4.0.0 (no further changes needed).

 -- Daniel Stender <stender@debian.org>  Fri, 21 Jul 2017 17:05:22 +0200

python-djvulibre (0.8-1) unstable; urgency=medium

  * New upstream release:
    + drop build-deps against setuptools in deb/control (not needed anymore).
    + drop build-deps against texlive-latex-extra and dvipng (sphinx.ext.pngmath
      not used anymore).
    + update Source (project moved to Github) in deb/copyright.
  * deb/tests/control:
    + add python{,3}-all to Depends.

 -- Daniel Stender <stender@debian.org>  Sat, 27 Aug 2016 23:55:45 +0200

python-djvulibre (0.7.2-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: bumped standards to 3.9.8 (no changes needed).
  * fixed deb/source/options.

 -- Daniel Stender <stender@debian.org>  Fri, 03 Jun 2016 14:49:54 +0200

python-djvulibre (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + updated maintainer email address.
    + arranged build-deps logically, added python3-setuptools.
    + bumped standards to 3.9.7 (no changes needed).
    + use HTTPS also for Vcs-Git.
    + dropped Testsuite field (deprecated).
  * deb/copyright: updated.
  * deb/rules: added export for DEB_BUILD_MAINT_OPTIONS with BINDNOW.
  * Dropped deb/gbp.conf (package is controlled by git-dpm).
  * Put examples from djvu-doc.docs into djvu-doc.examples

 -- Daniel Stender <stender@debian.org>  Mon, 21 Mar 2016 16:32:42 +0100

python-djvulibre (0.7-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: added version to dep on cython.

 -- Daniel Stender <debian@danielstender.com>  Fri, 04 Sep 2015 21:29:24 +0200

python-djvulibre (0.5-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: added version for djvulibre-dev.

 -- Daniel Stender <debian@danielstender.com>  Tue, 11 Aug 2015 02:03:32 +0200

python-djvulibre (0.4-1) unstable; urgency=medium

  * New upstream release.
  * deb/gbp.conf: updated config section style (import-orig).
  * deb/source/options: rewrite to ignore djvu/config.pxi, corrected.

 -- Daniel Stender <debian@danielstender.com>  Sun, 26 Jul 2015 16:55:33 +0200

python-djvulibre (0.3.10-2) unstable; urgency=medium

  * deb/control: Vcs-Browser use cgit instead of gitweb.
  * deb/rules:
    + added override for dh_strip (Closes: #775657).
    + dropped nodocs build option check (obsolete) and destdir export
      (not needed here).
    + build_ext once more inplace for Sphinx docs (with that, dropped
      sphinx-modules-path.diff, added deb/clean).

 -- Daniel Stender <debian@danielstender.com>  Fri, 08 May 2015 15:04:24 +0200

python-djvulibre (0.3.10-1) unstable; urgency=medium

  * New upstream release (Closes: #767769).
  * deb/control:
    + bumped standards to 3.9.6 (no changes needed).
    + updated Vcs fields (moved to Git).
  * deb/copyright: expanded copyright spans.
  * deb/rules:
    + hardened test calls by unset of LANGUAGE (Closes: #695049).
    + added exports for PYBUILD_DESTDIR (Closes: #775657).
    + added switch for DEB_BUILD_OPTIONS=nodocs to dh_installdocs.
    + dropped Vim setup line.
  * deb/watch: watch pypi.debian.net.
  * Docs package:
    + added sphinx-modules-path.diff (needed to prevent build break
      of new upstream tarball but also fixes inheritance diagrams).
    + deb/control: added build-deps needed for sphinx.ext.math extension.
    + deb/rules: moved dh_sphinxdoc to dh sequencer options,
      set http_proxy to localhost/discard for Sphinx build.
    + added examples/ to deb/python-djvu-doc.docs.
  * Added DEP-8 test suite.
  * Added deb/gbp.conf.

 -- Daniel Stender <debian@danielstender.com>  Fri, 01 May 2015 12:50:31 +0200

python-djvulibre (0.3.9-3) unstable; urgency=low

  * deb/control: moved Build-Depends-Indep to Build-Depends.

 -- Daniel Stender <debian@danielstender.com>  Sun, 10 Aug 2014 23:13:52 +0200

python-djvulibre (0.3.9-2) unstable; urgency=low

  * deb/control:
    + Updated maintainer email address.
    + Removed unneccesary b-ds and updated for Python3 packages.
    + Added Python3 package descriptions (Closes: #604037).
    + Bumped standards to 3.9.5 (no further changes needed).
    + Use canonical URIs for Vcs-* fields [Jakub Wilk].
  * deb/copyright:
    + Changed Source URI to code repo.
    + Updated Format-Specification, copyright spans and email addresses.
  * deb/rules:
    + added DEB_BUILD_OPTIONS export line.
    + build with pybuild, reduced.
    + added doc/credits.txt to dh_installdocs for all packages.
    + build documentation with dh_sphinxdoc.
  * Dropped .install-s (unneeded), .examples (moved to doc package),
    -doc.links, updated -doc.doc-base.
  * deb/compat: bumped Debhelper level to 9.
  * deb/watch: added pgpsigurlmangle (also added deb/upstream/signing-key.asc).
  * Added \.egg.info to source/options.
  * Wrapped-and-sorted -a.

 -- Daniel Stender <debian@danielstender.com>  Sun, 10 Aug 2014 15:54:50 +0200

python-djvulibre (0.3.9-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
    + Drop all patches, applied upstream.
  * Run nosetests with --no-skip.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 23 Apr 2012 22:49:03 +0200

python-djvulibre (0.3.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: FAIL: test_decode.test_documents.test_export_ps":
    new patch test_export_ps_normalize_whitespace.diff from upstream repo.
    (Closes: #646177)

 -- gregor herrmann <gregoa@debian.org>  Mon, 19 Mar 2012 18:39:54 +0100

python-djvulibre (0.3.3-1) unstable; urgency=low

  * New maintainer (Closes: #598157).
  * New upstream release (Closes: #604036).
    + Fixes FTBFS with Python 2.7 (Closes: #606681).
  * Removed patches disable-memory-test.diff, max-cachesize-64bit.diff
    (fixed with 0.3.0), setup-disable-auto-cython.diff (workaround no longer
    needed).
  * Made build_sphinx available even without setuptools [build_sphinx.diff].
  * Updated Lizardtech Djvu Reference link [lizardtech_link.diff]
    (Closes: #627290).
  * debian/control:
    + wrapped and sorted.
    + added build-dep locales.
    + bumped Standards-Version to 3.9.2 (no changes needed).
    + removed Replaces, Conflicts and Provides for python-djvulibre (a binary
      package name pre-dating publication in Debian archive).
    + extended package descriptions.
  * debian/rules:
    + removed building with cython from rules (no longer needed).
    + removal of dllpath.py after dh_install (not useful on Debian systems).
    + changed building of html docs to be processed with setup build_sphinx
      (doc/Makefile removed from upstream).
    + clean: added removal of .egg-info/ and of djvu/config.pxi.
    + tests: passing of explicit module names not needed anymore (test
      modules have been renamed for that) and doctests option dropped (no
      doctests anymore).
    + added generating of needed locales at build time to avoid build-dep on
      locales-all, added export LC_ALL=C.
    + added override for dh_installchangelogs instead of listing uptstream
      changelog in debian/*.doc.
    + added override for dh_compress to drop python-djvu-doc.compress
      (deprecated).
  * debian/copyright:
    + bumped DEP-5 revision to CANDIDATE.
    + changed maintainer.
    + expanded copyrights to cover also 2011.

 -- Daniel Stender <daniel@danielstender.com>  Sun, 26 Jun 2011 23:41:15 +0200

python-djvulibre (0.1.18-2) unstable; urgency=low

  * Disable memory test that is likely to fail on 64-bit architectures.
    [disable-memory-test.diff]
  * Fix test for maximum cache size on 64-bit architectures.
    [max-cachesize-64bit.diff]

 -- Jakub Wilk <jwilk@debian.org>  Sat, 26 Jun 2010 01:50:10 +0200

python-djvulibre (0.1.18-1) unstable; urgency=low

  * New upstream release.
  * Update homepage URL.
  * Fix FTBFS with nostrip build option.
  * Run tests at build time:
    + Build-depend on python-nose, djvulibre-bin, ghostscript.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 26 Jun 2010 00:39:07 +0200

python-djvulibre (0.1.17-2) unstable; urgency=low

  * Install example programs.
  * Switch to source format 3.0 (quilt).
  * Build python-djvu-dbg (debug extension + detached debug symbols):
    + Build-depend on python-all-dbg.
    + In order to work around bug #541314, disable automatic cythoning sources
      with setup.py. [setup-disable-auto-cython.diff]
    + Cython sources manually in debian/rules.
  * Rewrite debian/rules using overrides.
  * Don't install Sphinx artifacts (.buildinfo, objects.inv) into the binary
    package.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 25 Apr 2010 22:54:18 +0200

python-djvulibre (0.1.17-1) unstable; urgency=low

  * New upstream release.
  * Update my e-mail addresses.
  * Let dh_installdocs install the upstream changelog.
  * Bump standards version to 3.8.4 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Thu, 11 Feb 2010 18:01:05 +0100

python-djvulibre (0.1.16-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.

 -- Jakub Wilk <ubanus@users.sf.net>  Sun, 03 Jan 2010 13:57:57 +0100

python-djvulibre (0.1.15-1) unstable; urgency=low

  * New upstream release.
  * Update homepage URI in debian/copyright.

 -- Jakub Wilk <ubanus@users.sf.net>  Wed, 04 Nov 2009 20:04:26 +0100

python-djvulibre (0.1.14-1) unstable; urgency=low

  * New upstream release (closes: #544950).
  * Use unversioned dependency on python-setuptools, as the required version
    is available even in oldstable.
  * Register documentation with doc-base.

 -- Jakub Wilk <ubanus@users.sf.net>  Fri, 11 Sep 2009 15:50:40 +0200

python-djvulibre (0.1.13-2) unstable; urgency=low

  * Make debian/rules safe for parallel builds.
  * Don't assume that the build target will be called with
    Build-Depends-Indep satisfied (does not close #544781).

 -- Jakub Wilk <ubanus@users.sf.net>  Thu, 03 Sep 2009 13:55:02 +0200

python-djvulibre (0.1.13-1) unstable; urgency=low

  * Initial release (closes: #540324).

 -- Jakub Wilk <ubanus@users.sf.net>  Sun, 16 Aug 2009 11:56:38 +0200
